{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "hints": [
                {
                    "loadListing": "shallow_listing",
                    "class": "http://commonwl.org/cwltool#LoadListingRequirement"
                }
            ],
            "arguments": [
                {
                    "prefix": "-r",
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/deepPATH"
                },
                {
                    "type": "Directory",
                    "id": "#cp_dir.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_dir.cwl/tree"
                }
            ],
            "id": "#cp_dir.cwl",
            "outputs": []
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH[0])/"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/deepPATH"
                },
                {
                    "type": "File",
                    "id": "#cp_file.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_data)"
                    ]
                }
            ],
            "baseCommand": [
                "cp"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_data.basename)"
                },
                {
                    "position": 3,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_1[0])/$(inputs.deepPATH_2[0])/$(inputs.tree[2])"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_GffProTra.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_GffProTra.cwl/deepPATH_1"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_GffProTra.cwl/deepPATH_2"
                },
                {
                    "type": "File",
                    "id": "#cp_file_4_GffProTra.cwl/in_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#cp_file_4_GffProTra.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#cp_file_4_GffProTra.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_cds_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_dummy"
                },
                {
                    "type": "File",
                    "id": "#main/in_gaps_bigwig"
                },
                {
                    "type": "File",
                    "id": "#main/in_gc_bigwig"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#main/in_genomic_gff"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_names"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/in_protein_fasta"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_seq"
                },
                {
                    "type": "File",
                    "id": "#main/in_trackList_json"
                },
                {
                    "type": "File",
                    "id": "#main/in_trackList_json_bak"
                },
                {
                    "type": "Directory",
                    "id": "#main/in_tracks"
                },
                {
                    "type": "File",
                    "id": "#main/in_tracks_conf"
                },
                {
                    "type": "File",
                    "id": "#main/in_transcript_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#cp_file_4_GffProTra.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_cds_fasta/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/cp_cds_fasta/deepPATH_1"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/cp_cds_fasta/deepPATH_2"
                        },
                        {
                            "source": "#main/in_cds_fasta",
                            "id": "#main/cp_cds_fasta/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_cds_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_cds_fasta"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_gaps_bigwig/PATH"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/cp_gaps_bigwig/deepPATH"
                        },
                        {
                            "source": "#main/in_gaps_bigwig",
                            "id": "#main/cp_gaps_bigwig/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_gaps_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_gaps_bigwig"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_gc_bigwig/PATH"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/cp_gc_bigwig/deepPATH"
                        },
                        {
                            "source": "#main/in_gc_bigwig",
                            "id": "#main/cp_gc_bigwig/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_gc_bigwig/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_gc_bigwig"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_genomic_fasta/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/cp_genomic_fasta/deepPATH"
                        },
                        {
                            "source": "#main/in_genomic_fasta",
                            "id": "#main/cp_genomic_fasta/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_genomic_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_genomic_fasta"
                },
                {
                    "run": "#cp_file_4_GffProTra.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_genomic_gff/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/cp_genomic_gff/deepPATH_1"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/cp_genomic_gff/deepPATH_2"
                        },
                        {
                            "source": "#main/in_genomic_gff",
                            "id": "#main/cp_genomic_gff/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_genomic_gff/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_genomic_gff"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_names/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_names/deepPATH"
                        },
                        {
                            "source": "#main/in_names",
                            "id": "#main/cp_names/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_names/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_names"
                },
                {
                    "run": "#cp_file_4_GffProTra.cwl",
                    "scatter": "#main/cp_protein_fasta/in_data",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_protein_fasta/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/cp_protein_fasta/deepPATH_1"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/cp_protein_fasta/deepPATH_2"
                        },
                        {
                            "source": "#main/in_protein_fasta",
                            "id": "#main/cp_protein_fasta/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_protein_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_protein_fasta"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_seq/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_seq/deepPATH"
                        },
                        {
                            "source": "#main/in_seq",
                            "id": "#main/cp_seq/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_seq/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_seq"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_trackList_json/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_trackList_json/deepPATH"
                        },
                        {
                            "source": "#main/in_trackList_json",
                            "id": "#main/cp_trackList_json/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_trackList_json/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_trackList_json"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_trackList_json_bak/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_trackList_json_bak/deepPATH"
                        },
                        {
                            "source": "#main/in_trackList_json_bak",
                            "id": "#main/cp_trackList_json_bak/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_trackList_json_bak/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_trackList_json_bak"
                },
                {
                    "run": "#cp_dir.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_tracks/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_tracks/deepPATH"
                        },
                        {
                            "source": "#main/in_tracks",
                            "id": "#main/cp_tracks/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_tracks/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_tracks"
                },
                {
                    "run": "#cp_file.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_tracks_conf/PATH"
                        },
                        {
                            "source": "#main/deepPATH_apollo2_data",
                            "id": "#main/cp_tracks_conf/deepPATH"
                        },
                        {
                            "source": "#main/in_tracks_conf",
                            "id": "#main/cp_tracks_conf/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_tracks_conf/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_tracks_conf"
                },
                {
                    "run": "#cp_file_4_GffProTra.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/cp_transcript_fasta/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/cp_transcript_fasta/deepPATH_1"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/cp_transcript_fasta/deepPATH_2"
                        },
                        {
                            "source": "#main/in_transcript_fasta",
                            "id": "#main/cp_transcript_fasta/in_data"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/cp_transcript_fasta/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/cp_transcript_fasta"
                }
            ],
            "outputs": [],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
